Loading...
Searching...
No Matches
restinio::http_field_parsers::range_details::other_ranges_specifier_t Struct Reference

A description of a range value of units those are not "bytes". More...

`#include <range.hpp>`

## Public Attributes

std::string | range_unit
std::string | range_set

## Detailed Description

A description of a range value of units those are not "bytes".

This type will be used for values like:

    x-megabytes=1-45,450-1300

Please note that other_ranges_specifier_t::range_set contains the raw value. E.g. for the example above range_set will hold "1-45,450-1300".

Since
  v.0.6.2

Definition at line 114 of file range.hpp.

## Member Data Documentation

## range_set

std::string restinio::http_field_parsers::range_details::other_ranges_specifier_t::range_set

Definition at line 117 of file range.hpp.

## range_unit

std::string restinio::http_field_parsers::range_details::other_ranges_specifier_t::range_unit

Definition at line 116 of file range.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/range.hpp